summary {base} | R Documentation

## Object Summaries

### Description

`summary` is a generic function used to produce result summaries of the results of various model fitting functions. The function invokes particular `methods` which depend on the `class` of the first argument.

### Usage

    summary(object, ...)

    ## Default S3 method:
    summary(object, ..., digits = max(3, getOption("digits")-3))
    ## S3 method for class 'data.frame':
    summary(object, maxsum = 7,
           digits = max(3, getOption("digits")-3), ...)

    ## S3 method for class 'factor':
    summary(object, maxsum = 100, ...)

    ## S3 method for class 'matrix':
    summary(object, ...)

### Arguments

`object` | an object for which a summary is desired.
`maxsum` | integer, indicating how many levels should be shown for `factor`s.
`digits` | integer, used for number formatting with `signif()` (for `summary.default`) or `format()` (for `summary.data.frame`).
`...` | additional arguments affecting the summary produced.

### Details

For `factor`s, the frequency of the first `maxsum - 1` most frequent levels is shown, where the less frequent levels are summarized in `"(Others)"` (resulting in `maxsum` frequencies).

The functions `summary.lm` and `summary.glm` are examples of particular methods which summarize the results produced by `lm` and `glm`.

### Value

The form of the value returned by `summary` depends on the class of its argument. See the documentation of the particular methods for details of what is produced by that method.

### References

Chambers, J. M. and Hastie, T. J. (1992) Statistical Models in S. Wadsworth & Brooks/Cole.

### See Also

`anova`, `summary.glm`, `summary.lm`.

### Examples

    summary(attenu, digits = 4) #-> summary.data.frame(...), default precision
    summary(attenu $ station, maxsum = 20) #-> summary.factor(...)

    lst <- unclass(attenu$station) > 20 # logical with NAs
    ## summary.default() for logicals -- different from *.factor:
    summary(lst)
    summary(as.factor(lst))

[Package base version 2.8.1 Index]